/* :: 7.0 Header CSS */

.header-area {
    position: relative;
    z-index: 10;
    width: 100%;
    @include transition-duration(500ms);
    background-color: $primary;

    .top-header-area {
        position: relative;
        z-index: 10;
        width: 100%;
        height: 50px;
        border-bottom: 1px solid rgba(255, 255, 255, 0.10);

        @media #{$breakpoint-md} {
            z-index: 1;
        }

        @media #{$breakpoint-xs} {
            z-index: 1;
        }

        .top-header-content {
            @include display-flex(flex);
            @include align-items-center;

            a {
                color: $white;
                font-size: 14px;
                font-weight: 400;
                line-height: 50px;
                display: inline-block;

                i {
                    padding-right: 5px;
                }

                span {
                    @media #{$breakpoint-md} {
                        display: none;
                    }

                    @media #{$breakpoint-xs} {
                        display: none;
                    }
                }

                &:hover,
                &:focus {
                    color: $secondary;
                }
            }

            .btn {
                padding: 0;
            }

            .dropdown-menu {
                margin: 0;

                .dropdown-item {
                    padding: 0 20px;
                    color: $heading;
                    line-height: 35px;
                    border-radius: 0;

                    &:hover {
                        background-color: $primary;
                        color: $white;
                    }
                }
            }
        }

        .row {
            .col-6:first-child {
                .top-header-content {
                    a {
                        &:first-child {
                            padding-right: 30px;
                            border-right: 1px solid rgba(255, 255, 255, 0.1);

                            @media #{$breakpoint-xs} {
                                padding-right: 15px;
                            }
                        }

                        &:last-child {
                            border-left: 1px solid rgba(255, 255, 255, 0.10);
                            padding-left: 30px;

                            @media #{$breakpoint-xs} {
                                padding-left: 15px;
                            }
                        }
                    }
                }
            }

            .col-6:last-child {
                .top-header-content {
                    @include justify-content-end;

                    a {
                        &:first-child {
                            padding-right: 30px;

                            @media #{$breakpoint-xs} {
                                padding-right: 15px;
                            }
                        }
                    }

                    .dropdown {
                        padding-left: 30px;
                        border-left: 1px solid rgba(255, 255, 255, 0.10);

                        @media #{$breakpoint-xs} {
                            padding-left: 15px;
                        }
                    }
                }
            }
        }
    }
}

.classy-nav-container {
    background-color: transparent;
    padding: 0;

    .classy-navbar {
        @include transition-duration(500ms);
        height: 100px;
        padding: 0;

        @media #{$breakpoint-md} {
            height: 70px;
        }

        @media #{$breakpoint-xs} {
            height: 70px;
        }

        .nav-brand {
            @media #{$breakpoint-xs} {
                max-width: 90px;
                margin-right: 15px;
            }
        }

        .classynav ul li {
            a {
                font-size: 16px;
                text-transform: capitalize;
                color: $white;
                font-weight: 500;
                padding: 0 20px;

                @media #{$breakpoint-lg} {
                    font-size: 14px;
                }

                @media #{$breakpoint-md} {
                    font-size: 14px;
                    color: $heading;

                    &:hover,
                    &:focus {
                        color: $hover;
                    }
                }

                @media #{$breakpoint-xs} {
                    font-size: 14px;
                    color: $heading;

                    &:hover,
                    &:focus {
                        color: $hover;
                    }
                }

                &:focus,
                &:hover {
                    color: $secondary;
                    font-weight: 500;
                }
            }

            &.cn-dropdown-item,
            &.megamenu-item {
                ul li {
                    a {
                        font-size: 14px;
                        text-transform: capitalize;
                        height: 42px;
                        line-height: 42px;
                        padding: 0 30px;
                        color: $heading;

                        &:focus,
                        &:hover {
                            color: $hover;
                        }
                    }
                }
            }
        }
    }
}

.classynav ul li {
    &.active {
        a {
            position: relative;
            z-index: 1;

            &::before {
                width: 80%;
                height: 2px;
                background-color: $white;
                position: absolute;
                bottom: 0;
                left: 10%;
                z-index: 1;
                content: '';

                @media #{$breakpoint-md} {
                    display: none;
                }

                @media #{$breakpoint-xs} {
                    display: none;
                }
            }
        }
    }
}

.classynav ul li.has-down > a::after,
.classynav ul li.has-down.active > a::after,
.classynav ul li.megamenu-item > a::after {
    color: $white;
}

.breakpoint-off .classynav ul li .dropdown,
.breakpoint-off .classynav ul li .megamenu {
    width: 210px;
    @include box-shadow($box-shadow);
    border-radius: 6px;
}

.breakpoint-off .classynav ul li .megamenu {
    width: 100%;
}

.classy-navbar-toggler .navbarToggler span {
    background-color: $white;
}